#!/usr/bin/env ruby
# coding: euc-jp

require 'sqlite3'
require 'cgi'

c = CGI.new(:tag_maker => "html4", :accept_charset => "EUC-JP")
sub_name = c["sub_name"]
pass = c["pass"]
visited_login = c["vis_log"]
# cookieの情報を取得
if sub_name == "" && pass == "" 
  sub_name = c.cookies["sub_name"][0]
  pass = c.cookies["pass"][0]
end

db = SQLite3::Database.new("sql/acounts.sq3")

permission_display = "ok"
# ユーザー認証
if visited_login == "visited_login"
  sql_check = "SELECT * FROM acounts WHERE sub_name=? AND password=?;"
  checked_acount = db.execute(sql_check, sub_name, pass)
  if !(checked_acount == [])
    # HTTPヘッダー
    str = CGI::rfc1123_date(Time.now + (24 * 60 * 60))
    # cookie発行
    print("Content-type: text/html; charset=EUC-JP 
Set-Cookie: sub_name=#{sub_name}; expires=#{str};
Set-Cookie: pass=#{pass}; expires=#{str}; \n\n")
  else
    print("Content-type: text/html; charset=EUC-JP \n\n")
    permission_display = "no"
  end
elsif visited_login == "out"
  # cookieの失効
  p_str = CGI::rfc1123_date(Time.now - (24 * 60 * 60))
  print("Content-type: text/html; charset=EUC-JP 
Set-Cookie: sub_name=#{sub_name}; expires=#{p_str};
Set-Cookie: pass=#{pass}; expires=#{p_str}; \n\n")
  sub_name = ""
  pass = ""
else
  print("Content-type: text/html; charset=EUC-JP  \n\n") 
end
# HTML
# ヘッダー
print'
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
	"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>トップページ -koeki network-</title>
<style type="text/css">
<!--

-->
</style>
<link rel="stylesheet" type="text/css" href="group.css">
</head>
<body>
<div class="base">
<h1 ><img class="kn" src="koeki-network.png" alt="300x167(14204bytes)" width="300" height="120">
</h1>
'
if permission_display == "ok"
  # ログイン成功時のみ表示
  if sub_name > "" && pass > ""
    printf('
<p class="user">ようこそ! <span class="user_name">%s</span>さん</p>
', sub_name)
  else
    print'<p class="user">ようこそ! ログインは<a href="login.html">こちら</a><br>アカウントをお持ちでない方は<a href="new_acount.rb">こちら</a>で作成できます。<br>*アカウントを取得し、ログインすることで書込み等の機能を利用できます。</p>'
  end
  print'
<!-- 利用に関して --!>
<p class="attention">
御利用の際には<a href="./TOS.html">Koeki Networkの使い方</a>をよく読んで楽しく、便利なKOEKIライフを!
</p>
<div class="bb">
<a href="db/eating_bulletin_board.rb">乗せてって掲示板</a>
<p>
同乗者を募るカーシェア掲示板です!
</p>
<a href="./">グルメデータベース</a>
<p>--- β版(スタッフ作業用) ---</p>
<a href="">その他情報報告所</a>
<p>--- 現在調整中(under construction) ---</p>
<a href="">雑談掲示板</a>
<p>--- 現在調整中(under construction) ---</p>
'
else
print'
<div class="bb">
<p class="caution">エラー<br>パスワードかIDが間違っています!!
もう一度<a href="./login.html">ログインページ</a>からログインして下さい。
</p>
'
end
# フッダ−
print'
<address>c112124&#x40;h.koeki-u.ac.jp</address>
</div>
<hr>
<a class="cont" href="./top.rb?vis_log=out">ろぐあうと。</a>
<a class="cont" href="./login.html">ほかのアカウントでログイン。</a>
</div>
</body>
</html>
'
